Subject: Re: [PATCH 1/1] Modify macro NETLBL_CATMAP_MAPTYPE to define a type using typedef

From: Jakub Kicinski <[email-masked]>
Date: Fri, 2 Feb 2024 11:12:23 -0800

On Fri, 2 Feb 2024 10:31:37 -0500 Paul Moore wrote:
> > Modify NETLBL_CATMAP_MAPTYPE to netlbl_catmap_map_t, which is more
> > readable.
>
> I'm generally not in favor of minor rename patches like this unless
> they are part of a larger effort (code churn with little benefit).
> I'm not going to block it if the netdev folks want to merge this, but
> I can't say I really support it either.

FWIW the netdev (or should I say my?) policy is also "don't take it
unless explicitly acked by the area maintainer". Looking at the patch
I'm not sure why the typedef at all, not just use u64? So whatever,
I'm tossing this from pw. Not worth expending brain cycles over.